summaryrefslogtreecommitdiffstats
path: root/audio/eyeD3/eyeD3.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/eyeD3/eyeD3.SlackBuild')
-rw-r--r--audio/eyeD3/eyeD3.SlackBuild19
1 files changed, 11 insertions, 8 deletions
diff --git a/audio/eyeD3/eyeD3.SlackBuild b/audio/eyeD3/eyeD3.SlackBuild
index f1b8790ab8..ec2deb9517 100644
--- a/audio/eyeD3/eyeD3.SlackBuild
+++ b/audio/eyeD3/eyeD3.SlackBuild
@@ -30,17 +30,20 @@ VERSION=0.6.14
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -48,14 +51,14 @@ chmod -R u+w,go+r-w,a-s .
# --docdir is ignored by the build process, but we'll leave it here anyway
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- || exit 1
+ --docdir=/usr/doc/$PRGNAM-$VERSION
-make || exit 1
-make DESTDIR=$PKG install || exit 1
+make
+make DESTDIR=$PKG install
# and the automake does everything neatly for docs and man pages, et al
# just need the slack-specific files
@@ -70,4 +73,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}